#ifndef PLOTTI_H
#define PLOTTI_H

#include <QWidget>
#include "Plot.h"

/** widget to render one plot */
class PlotWidget : public QWidget {

	Q_OBJECT

public:

	/** ctor */
	explicit PlotWidget(QWidget *parent = 0);

protected:

	PlotContainer pc;

signals:

public slots:

	void paintEvent(QPaintEvent*);
	void resizeEvent(QResizeEvent*);

};

#endif // PLOTTI_H
